Subject: Re: [PATCH] tun: Fix/rewrite packet filtering logic

From: Max Krasnyansky <[email-masked]>
Date: Tue, 22 Jul 2008 21:45:30 -0700

Jeff Garzik wrote:
> David Miller wrote:
>> From: Jeff Garzik <[email-masked]>
>> Date: Tue, 22 Jul 2008 19:41:47 -0400
>>
>>> looks mostly OK, but stuff like the above should be
>>>
>>>     (void __user *) arg
>>>
>>> Did you check this with sparse (Documentation/sparse.txt)?

Ah. No I did not check it with sparse.

>>
>> Jeff, I already added this particular patch to the tree
>> a week or so ago.
> 
> Yeah, later on in my queue were the fixes.

I'm not sure I'm following. What fixes ? Are you talking about fixing sparse
warnings or something else ?

Max